## com.sun.jersey.core.util
Class LazyVal<T>

    java.lang.Object
      com.sun.jersey.core.util.LazyVal<T>

    public abstract class LazyVal<T>

extends java.lang.Object

Author:
  Paul.Sandoz@Oracle.Com

Constructor Summary
`LazyVal()`

Method Summary
`T` | `get()`
`protected abstract T` | `instance()`
`void` | `set(T t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyVal

    public LazyVal()

Method Detail

### get

    public T get()

### set

    public void set(T t)

### instance

    protected abstract T instance()

Copyright © 2017 Oracle Corporation. All Rights Reserved.